whatis(1)

NAME
whatis - durchsucht die Indexdatenbank nach Kurzbeschreibungen

SYNTAX
whatis [-dhV] [-r|-w ] [-m System[,...]] [-M Pfad] Schlüsselwort ...

BESCHREIBUNG
Innerhalb jeder Manualseite ist eine Kurzbeschreibung vorhanden. whatis sucht Schlüsselwort in den Kurzbeschreibungen der Indexdatenbank. Falls es eine solche nicht im Manualpfad gibt, durchsucht es die whatis- Datenbank nach Schlüsselwort. Diese Version von whatis kann Schlüsselwörter suchen, die Wildcards oder reguläre Ausdrücke enthalten. mandb erzeugt die Indexdatenbank für jeden Manualpfad. Um eine Datei im alten Stil als whatis- Datenbank aus der Indexdatenbank zu erzeugen, ist folgender Befehl einzugeben whatis -M Pfad -w '*' | sort > manpath/whatis wobei Pfad eine Manualhierarchie wie /usr/man ist.

OPTIONEN

-d, --debug
    Ausgeben von Fehlerinformationen.

-r, --regex
    Interpretiert jedes Schlüsselwort als regulären Ausdruck. Wenn ein Schlüsselwort irgendeinem Teil eines Seitennamens entspricht, wird eine Übereinstimmung gefunden.

-w, --wildcard
    Das Schlüsselwort kann Wildcards wie in der Shell beinhalten. Um eine Übereinstimmung zu finden, muß ein expandiertes Schlüsselwort mit einem kompletten Seitennamen übereinstimmen.

-m System [,...], --systems=System [,...]
    Wenn auch Manualseiten von einem anderen Betriebssystem installiert sind, so kann auf sie mit dieser Option zugegriffen werden. Um beispielsweise die Manualseiten von NewOS zu durchsuchen, muß -m NewOS angegeben werden. Das angegebene System kann eine durch Kommata abgetrennte Aufzählung von Betriebssystemnamen sein. Die normalen Seiten werden durch den Betriebssystemnamen man angesprochen. Diese Option überschreibt die Umgebungsvariable $SYSTEM.

-M Pfad, --manpath=Pfad
    Gibt die Manualpfade an. Wenn mehrere Pfade angegeben werden, müssen diese durch Doppelpunkte getrennt sein. Als Default benutzt whatis manpath, um den Suchpfad zu bestimmen. Diese Option überschreibt die Umgebungsvariable $MANPATH.

-h, --help
    Zeigt einen Hilfstext an.

-V, --version
    Zeigt Programmversion und Autor an.

DATEIEN

/var/catman/.../index.(bt|db|dir|pag)
    Die FSSTND complianten globalen Indexdatenbanken.

/usr/man/.../whatis
    Traditionelle whatis Datenbank.

SIEHE AUCH
apropos(1), man(1), mandb(8).

FEHLER
Wenn die -r oder -w Optionen benutzt werden und Shell-Metazeichen in einem Schlüsselwort vorkommen, kann es notwendig sein, Schlüsselwort zu quoten, damit die Shell nicht versucht, diese Zeichen zu interpretieren. Die -r und -w Optionen können verwirrende Ausgaben erzeugen und verlangsamen die Suche.

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk), die deutsche Übersetzung ist von Anke Steuernagel (a_steuer@informatik.uni-kl.de) und Nils Magnus (magnus@informatik.uni-kl.de).